Page MenuHomeVyOS Platform

PPPoE server called-sid format does not work
Closed, ResolvedPublicBUG

Description

In case when PPPoE server configured with called-sid and limit options, called-sid=... will be added to the wrong section.

[connlimit]
limit=10/min
burst=5
timeout=10
called-sid=ifname

Reprodicing:

set service pppoe-server authentication mode 'radius'
set service pppoe-server authentication radius called-sid-format 'ifname'
set service pppoe-server authentication radius server 192.168.0.1 key 'xxxxx'
set service pppoe-server client-ip-pool subnet '100.64.0.0/24'
set service pppoe-server gateway-address '10.255.255.255'
set service pppoe-server interface eth1
set service pppoe-server limits burst '5'
set service pppoe-server limits connection-limit '10/min'
set service pppoe-server limits timeout '10'

Details

Difficulty level
Easy (less than an hour)
Version
1.4-rolling-202105310839
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Bug (incorrect behavior)

Event Timeline

Dmitry changed the task status from Open to In progress.Jun 1 2021, 10:54 AM
Dmitry claimed this task.
Dmitry created this task.

This bag is present in VyOS version 1.3-beta-202105271929

vyos@vyos# sudo cat /run/accel-pppd/pppoe.conf
[pppoe]
verbose=1
ac-name=vyos-ac

interface=eth0


[connlimit]
limit=10/min
burst=5
timeout=10
called-sid=ifname
Dmitry changed the task status from In progress to Backport candidate.Jun 3 2021, 12:36 PM
Dmitry added a project: VyOS 1.3 Equuleus.
SrividyaA set Issue type to Bug (incorrect behavior).Aug 31 2021, 6:09 PM